Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl.handler
Class AuthenticationDataMessageHandler

    java.lang.Object
      be.fedict.eid.applet.service.impl.handler.AuthenticationDataMessageHandler

All Implemented Interfaces:
  MessageHandler<be.fedict.eid.applet.shared.AuthenticationDataMessage>

    @HandlesMessage(value=be.fedict.eid.applet.shared.AuthenticationDataMessage.class)
    public class AuthenticationDataMessageHandler

extends Object
implements MessageHandler<be.fedict.eid.applet.shared.AuthenticationDataMessage>

Authentication data message protocol handler.

Author:
  Frank Cornelis

Field Summary
`static String` | `AUDIT_SERVICE_INIT_PARAM_NAME`
`static String` | `AUTHENTICATED_USER_IDENTIFIER_SESSION_ATTRIBUTE`
`static String` | `AUTHN_SERVICE_INIT_PARAM_NAME`
`static String` | `CHALLENGE_MAX_MATURITY_INIT_PARAM_NAME`
`static String` | `NRCID_APP_ID_INIT_PARAM_NAME`
`static String` | `NRCID_ORG_ID_INIT_PARAM_NAME`
`static String` | `NRCID_SECRET_INIT_PARAM_NAME`

Constructor Summary
`AuthenticationDataMessageHandler()`

Method Summary
`Object` | `handleMessage(be.fedict.eid.applet.shared.AuthenticationDataMessage message, Map<String,String> httpHeaders, HttpServletRequest request, HttpSession session)` Handles the given message.
`void` | `init(ServletConfig config)` Initializes this message handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTHENTICATED_USER_IDENTIFIER_SESSION_ATTRIBUTE

    public static final String AUTHENTICATED_USER_IDENTIFIER_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### AUTHN_SERVICE_INIT_PARAM_NAME

    public static final String AUTHN_SERVICE_INIT_PARAM_NAME

See Also:
  Constant Field Values

### AUDIT_SERVICE_INIT_PARAM_NAME

    public static final String AUDIT_SERVICE_INIT_PARAM_NAME

See Also:
  Constant Field Values

### CHALLENGE_MAX_MATURITY_INIT_PARAM_NAME

    public static final String CHALLENGE_MAX_MATURITY_INIT_PARAM_NAME

See Also:
  Constant Field Values

### NRCID_SECRET_INIT_PARAM_NAME

    public static final String NRCID_SECRET_INIT_PARAM_NAME

See Also:
  Constant Field Values

### NRCID_ORG_ID_INIT_PARAM_NAME

    public static final String NRCID_ORG_ID_INIT_PARAM_NAME

See Also:
  Constant Field Values

### NRCID_APP_ID_INIT_PARAM_NAME

    public static final String NRCID_APP_ID_INIT_PARAM_NAME

See Also:
  Constant Field Values

Constructor Detail

### AuthenticationDataMessageHandler

    public AuthenticationDataMessageHandler()

Method Detail

### handleMessage

    public Object handleMessage(be.fedict.eid.applet.shared.AuthenticationDataMessage message,
                                Map<String,String> httpHeaders,
                                HttpServletRequest request,
                                HttpSession session)
                         throws ServletException

  Description copied from interface: `MessageHandler`
  Handles the given message. Returns the response message to send back, this can be `null`.

  Specified by:
    `handleMessage` in interface `MessageHandler<be.fedict.eid.applet.shared.AuthenticationDataMessage>`
    `request` - the request from which the body already may be consumed.
  Returns:
    the optional response message to send back.
  Throws:
    `ServletException`

### init

    public void init(ServletConfig config)
              throws ServletException

  Description copied from interface: `MessageHandler`
  Initializes this message handler.

  Specified by:
    `init` in interface `MessageHandler<be.fedict.eid.applet.shared.AuthenticationDataMessage>`
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.